gr::satellites::manchester_sync< T > Class Template Reference

Detects phase of a Manchester clock and integrates symbols. More...

`#include <manchester_sync.h>`

Inheritance diagram for gr::satellites::manchester_sync< T >:

## Public Types

typedef std::shared_ptr< manchester_sync< T > > | sptr

## Static Public Member Functions

static sptr | make (int block_size)
| Constructs a Manchester Sync block.

## Detailed Description

template<class T>
class gr::satellites::manchester_sync< T >

Detects phase of a Manchester clock and integrates symbols.

The Manchester Sync block operates on a Manchester coded signal at two samples per symbol (one sample per each half of the Manchester pulse). The block detects which is the phase of the Manchester clock (i.e., what are the symbol boundaries), integrates symbols by subtracting the appropriate halves, and outputs the symbols at one sample per symbol.

The detection of the Manchester clock phase is done using a high SNR approximation to the maximum likelihood metric. Detection is done blockwise, with the size of the block indicated in the constructor.

## Member Typedef Documentation

## sptr

template<class T>

typedef std::shared_ptr<manchester_sync<T> > gr::satellites::manchester_sync< T >::sptr

## Member Function Documentation

## make()

template<class T>

sptr gr::satellites::manchester_sync< T >::make | ( | int | block_size | ) |

static

Constructs a Manchester Sync block.

Parameters

  block_size | Size of the block for metric evaluation (in symbols).

The documentation for this class was generated from the following file:

- manchester_sync.h